/*
 * Asterisk -- A telephony toolkit for Linux.
 *
 * Unified Messaging Interface
 * 
 * Copyright (C) 2005, Joshua Colp
 *
 * Joshua Colp <joshnet@nbnet.nb.ca>
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License
 */

#ifndef _ASTERISK_MESSAGING_H
#define _ASTERISK_MESSAGING_H

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

#define STATUS_IDLE 0	/* Owner is idle */
#define STATUS_TYPING 1 /* Owner is typing */
#define STATUS_NA 2	/* Status is not available */

extern int ast_messaging_add_conversation(char *uniqueid, struct ast_channel *chan);
extern struct ast_channel *ast_messaging_grab_conversation(char *uniqueid);
extern int ast_messaging_destroy_conversation(char *uniqueid);
extern int ast_messaging_change_masquerade(char *uniqueid, char *masquerade);
extern char *ast_messaging_get_masquerade(struct ast_channel *owner);

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif



#endif
